Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Method_Request_Lookup Class Reference

Lookup command object looks up the event type of the given event in the consumer map and send the event to each proxysupplier. More...

`#include <Method_Request_Lookup.h>`

Inheritance diagram for TAO_NS_Method_Request_Lookup:

[legend]
Collaboration diagram for TAO_NS_Method_Request_Lookup:

[legend]
List of all members.

## Public Methods
| TAO_NS_Method_Request_Lookup (const TAO_NS_Event_var &event, TAO_NS_ProxyConsumer *proxy_consumer, TAO_NS_Consumer_Map *map)
| Constuctor. More...
| ~TAO_NS_Method_Request_Lookup ()
| Destructor. More...
TAO_NS_Method_Request * | copy (void)
| Create a copy of this object. More...
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request. More...
void | work (TAO_NS_ProxySupplier *proxy_supplier ACE_ENV_ARG_DECL)
| = TAO_ESF_Worker method. More...
## Private Attributes
TAO_NS_ProxyConsumer * | proxy_consumer_
| ProxyConsumer supplying event. More...
TAO_NS_Consumer_Map * | map_
| The map of subscriptions. More...
TAO_NS_Refcountable_Guard | refcountable_guard_
| Guard to automatically inc/decr ref count on the proxy. More...

## Detailed Description

Lookup command object looks up the event type of the given event in the consumer map and send the event to each proxysupplier.

## Constructor & Destructor Documentation

TAO_NS_Method_Request_Lookup::TAO_NS_Method_Request_Lookup | ( | const TAO_NS_Event_var & | event,
|  | TAO_NS_ProxyConsumer * | proxy_consumer,
|  | TAO_NS_Consumer_Map * | map
| ) |

| Constuctor.

TAO_NS_Method_Request_Lookup::~TAO_NS_Method_Request_Lookup | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_NS_Method_Request * TAO_NS_Method_Request_Lookup::copy | ( | void |  | ) | `[virtual]`

| Create a copy of this object. Reimplemented from TAO_NS_Method_Request_Event.

int TAO_NS_Method_Request_Lookup::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Execute the Request. Reimplemented from TAO_NS_Method_Request_Event.

void TAO_NS_Method_Request_Lookup::work | ( | TAO_NS_ProxySupplier *proxy_supplier | ACE_ENV_ARG_DECL_NOT_USED | ) |

| = TAO_ESF_Worker method.

## Member Data Documentation

TAO_NS_Consumer_Map* TAO_NS_Method_Request_Lookup::map_`[private]`

| The map of subscriptions.

TAO_NS_ProxyConsumer* TAO_NS_Method_Request_Lookup::proxy_consumer_`[private]`

| ProxyConsumer supplying event.

TAO_NS_Refcountable_Guard TAO_NS_Method_Request_Lookup::refcountable_guard_`[private]`

| Guard to automatically inc/decr ref count on the proxy.

The documentation for this class was generated from the following files:

- Method_Request_Lookup.h
- Method_Request_Lookup.cpp